# LeapSecond

#### new Cesium.LeapSecond(date, offset)
engine/Source/Core/LeapSecond.js 10

Describes a single leap second, which is constructed from a `JulianDate` and a numerical offset representing the number of seconds TAI is ahead of the UTC time standard.

Name | Type | Description
--- | --- | ---
`date` | JulianDate | optional A Julian date representing the time of the leap second.
`offset` | number | optional The cumulative number of seconds that TAI is ahead of UTC at the provided date.

### Members

#### julianDate : JulianDate
engine/Source/Core/LeapSecond.js 15

Gets or sets the date at which this leap second occurs.

#### offset : number
engine/Source/Core/LeapSecond.js 22

Gets or sets the cumulative number of seconds between the UTC and TAI time standards at the time of this leap second.

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.